# Description

This ROS package contains physical descriptions of the Helena robot, based on the Pioneer3 platform from ActivMedia. 

# Dependencies

This node has the following dependencies:

  * [iri_pioneer3_description](https://gitlab.iri.upc.edu/labrobotica/ros/platforms/Pioneer3/iri_pioneer3_description)
  * [robot_state_publisher](http://wiki.ros.org/robot_state_publisher)
  * [xacro](http://wiki.ros.org/xacro)
  * [tf](http://wiki.ros.org/tf)

# Install

This package, as well as all IRI dependencies, can be installed by cloning the
repository inside the active workspace:

```
roscd
cd ../src
git clone https://gitlab.iri.upc.edu/labrobotica/ros/robots/helena/iri_helena_description.git 
```

However, this package is normally used as part of a wider installation (i.e. a
robot, an experiment or a demosntration) which will normally include a complete
rosinstall file to be used with the [wstool](http://wiki.ros.org/wstool) tool.

# How to use it

The following files are provided:

 * helena.xacro: an example xacro file of how to include the xacro 
macro.

This package also includes two launch files intended to simplify the use
both the real and the simulated robot:

 * description.launch: loads the robot description with the appropiate model
and creates an instance of the robot_state_publisher ROS node. It has these
arguments:
 
  ** ns: (default: helena) base name given to the platform
related nodes.
 
  ** model: (default: helena_example) name of the xacro file to include.

  ** static_wheels: (default: false) enables launching static transforms for wheel joints